// Android Image Test

setInfos(9, "Android Image Test", "Android image upload/download test (for developers only)","Anonymous", "test", 0xffffff, "en", ["internet","debug"]);

def text = ""
def isAndroid = false
def dir = getDataFolder()
if (dir.toLowerCase().contains("android")) isAndroid = true
show(dir)
wait(5)
// For debugging pictures on Android
def testAndroid = {
	def picok = false
	def snapfile = null
	def result = null
	def tempImage = null
	def tempFile = null
	
	// Take a picture
 	while (!picok) {

		// Show a countdown
		for(def k = 3;k > 0;k--) {
			show("..."+k+"...")
				wait(1)
		}
		show("*snap*")

        	snapfile = getImage("Starting webcam..")
        	show("Snapfile = " + snapfile)
			wait(2)
        	setImage(snapfile)
        	show(null)
        	picok = getBoolean("Is that picture OK?", "Yes", "No")
	}

	// Upload it
	show("Uploading: \n\n" + snapfile)
	showButton("OK")
	result = sendImage(snapfile)
	show("Result sendImage = " + result)
	wait(2)
	if (result != null) {
		show("Got key: " + result)
		showButton("OK")

		// Download it
		show("Attempting to download...")
		tempImage = receiveImage(result)
		show("tempImage = " + tempImage)
		wait(2)
		if (tempImage != null) {
			tempImage = dir + "images/" + tempImage
			show("New tempImage = " + tempImage)
			wait(2)
			setImage(tempImage)
			show("Got " + tempImage)
			showButton("OK")

			// Validate Image
			tempFile = tempImage
			show("Testing " + tempFile)
			showButton("OK")
    			def testFile = new File(tempFile)
			def testSize = testFile.getBytes().size()
			show("File size is: " + testSize)
			showButton("OK")
		} else {
			show("Download failed!")
			showButton("OK")			
		}
	} else {
		show("Server rejected upload!")
		showButton("OK")
	}
}


text = "*** Android Image Test***\n\n"
if (isAndroid) text += "Android Detected"
else text += "Computer Detected"
show(text)
wait(3)
show("Testing picture upload / download capability...")
wait(3)
testAndroid()

// This script, from http://ss.deviatenow.com, is protected by this licence :
// CC BY-SA 4.0, see http://creativecommons.org/licenses/by-sa/4.0/

/*
 * Resources
 * scripts/androidimgtest.groovy
*/













